Subject: Re: Case sensitive filenames
From: [email-masked] (Fergus Henderson)

24 Jan 1998 12:58:43 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Earnie Boyd <[email-masked]>
Cc: [email-masked], [email-masked]

On 20-Jan-1998, Earnie Boyd <[email-masked]> wrote:
> 
> Nathan Glasser <[email-masked]>:
> >
> >When I use ls, as in "ls *.txt", I won't see the upper case or
> >mixed case examples, because the program is case sensitive. This is a 
> >real pain,
> 
> It is only a pain to the non-UNIX person.  This is a product to help 
> port UNIX programs from UNIX to WIN32.  UNIX is case sensitive and the 
> filesystem commands have been left as case sensitive even though the 
> supporting file system is case insensitive.

But the filesystem commands haven't all been left as case sensitive!

The current system is inconsistent, because *some* of the file system
commands (e.g. cat foo.txt) are case insensitive, while others
(e.g. cat *.txt) are case sensitive.

> Again, this is not a pain for the UNIX programmer.

Are you arguing that the way things are currently done is the best way
that they could possibly be done?

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".